
From: Peter Beutner <p.beutner@gmx.net>

In dvb_dmxdev_filter_start if we go out because of an error, release
previously allocated demux_feed.

Signed-off-by: Peter Beutner <p.beutner@gmx.net>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-core/dmxdev.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-core/dmxdev.c~dvb-core-demux-error-handling-fix drivers/media/dvb/dvb-core/dmxdev.c
--- 25/drivers/media/dvb/dvb-core/dmxdev.c~dvb-core-demux-error-handling-fix	Mon Jun 27 15:35:48 2005
+++ 25-akpm/drivers/media/dvb/dvb-core/dmxdev.c	Mon Jun 27 15:35:48 2005
@@ -669,8 +669,10 @@ static int dvb_dmxdev_filter_start(struc
 
 		ret = filter->feed.ts->start_filtering(filter->feed.ts);
 
-		if (ret < 0)
+		if (ret < 0) {
+			dmxdev->demux->release_ts_feed(dmxdev->demux, *tsfeed);
 			return ret;
+		}
 
 		break;
 	}
_
